Bug 15195 - patron details should open in tab
Summary: patron details should open in tab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: natasha
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2015-11-16 19:46 UTC by Nicole C. Engard
Modified: 2017-01-10 19:28 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patron modifications (34.19 KB, image/png)
2015-11-16 19:46 UTC, Nicole C. Engard
Details
Bug 15195 - patron details should open in tab Deleted View record link and made patron details open in a new tab. To Test: Edit personal details for a user on opac and submit update request. In staff client go to patrons requesting modifications. Confirm (2.69 KB, patch)
2016-01-19 01:13 UTC, natasha
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15195 - patron details should open in tab (2.79 KB, patch)
2016-01-19 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15195 - patron details should open in tab (2.92 KB, patch)
2016-01-19 16:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-11-16 19:46:25 UTC
Created attachment 44888 [details]
patron modifications

When looking at patron modification requests the 'view record' link opens in a new tab, but the 'patron details' link doesn't. I'm not sure we need both links anyway, but if we have them both they should open in a new tab.

Nicole
Comment 1 Katrin Fischer 2015-11-16 19:47:59 UTC
Comment on attachment 44888 [details]
patron modifications

I think we accidentally added the same feature twice there - one could be removed.
Comment 2 Jonathan Druart 2016-01-06 12:22:59 UTC
commit 49fa3c0d08232e6d44f82e6827cedb076bcdbdd7
    Bug 10904: Limit patron update request management by branch

commit d49cba287e46b4c1e6656f9ec2c1867bfd633016
    Bug 12352: Patron modification request page: Add link to patron record

(In reply to Katrin Fischer from comment #1)
> I think we accidentally added the same feature twice there - one could be
> removed.

Which one?
Comment 3 natasha 2016-01-19 01:13:11 UTC Comment hidden (obsolete)
Comment 4 natasha 2016-01-19 01:15:45 UTC
To Test: Edit personal details for a user on opac and submit update request. In staff client go to patrons requesting modifications. Confirm View record link is gone and patron details opens in a new tab.
Comment 5 Owen Leonard 2016-01-19 16:05:36 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-01-19 16:25:16 UTC
Created attachment 46908 [details] [review]
Bug 15195 - patron details should open in tab

Deleted View record link and made patron details open in a new tab.

To Test: Edit personal details for a user on opac and submit update
request.

In staff client go to patrons requesting modifications.
Confirm view record link is gone and patron details opens in new tab.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
I don't think it's a good idea to open a new tab (let the user decide)
but the behavior already existed before this patch.
Comment 7 Brendan Gallagher 2016-01-27 04:22:49 UTC
Pushed to Master - Should be in the may 2016 release.  Thanks!
Comment 8 Julian Maurice 2016-01-29 14:23:58 UTC
Patch pushed to 3.22.x, will be in 3.22.3